Menü
aus ein
Ansicht umschalten Baum an
Avatar von Poly Glot
  • Poly Glot

mehr als 1000 Beiträge seit 15.02.2005

Das Problem sind die Extensions

... und dieses Problem ist hausgemacht. Denn jeder weiß: Die
schlechteste Art, etwas über eine Software herauzufinden, ist es, sie
direkt zu fragen. 

Genau das aber tut Firefox. Die Meldung, eine Extension sei nicht
kompatibel, ist nämlich blanker Bullshit. In Wirklickeit bedeutet das
nämlich nur, daß die Extension behauptet, nur mit niedrigen
FF-Versionen getestet zu sein; daher geht FF von einem worst case aus
und schaltet sie ohne Rückfrage aus.

In der Praxis laufen die meisten Extensions notfalls auch noch eine
Major Versions später problemlos, besonders solche, die weniger mit
dem Browser als mit dem Document beschäftigt sind. Das Problem ist
also oft ein Scheinproblem: Alles würde laufen, wenn FF nicht so
paranoid wäre und es abdreht.

Da viele Extensions längst nicht mehr gewartet werden, ist das ein
echtes Problem. Und es muß gefixt werden.

Man kann abgelaufene Extensions:

(*) Sandboxen und bei nur auftretenden Exceptions entfernen.

(*) Sandboxen und nach zwei Tagen den User fragen, ob er das Ding
noch haben will. Resultat geht in Datenbank und dient als
Entscheidungshilfe bei anderen Anwendern.

(*) Mozilla-seitig auf die neue Version aufrüsten — dazu müssen sie
natürlich wissen, welche Extensions wie oft im Einsatz sind und
entsprechende User-Statistiken einsammeln, damit sie sich auf die
wichtigsten paar Tausend konzentrieren können. Fände ich OK.

Extensions sind DAS Argument, weshalb FF alle anderen Browser
aussticht: Man kann alles haben. Wenn dieses „alles“ aber alle sechs
Wochen auf der Kippe steht, dann bricht dieser Vorteil wie ein
Kartenhaus zusammen.
Bewerten
- +
Anzeige